SoapServer::setClass
SoapServer::setPersistence
SoapServer
PHP Manual

# SoapServer::setObject

(PHP 5 >= 5.2.0)

SoapServer::setObject — Sets the object which will be used to handle SOAP requests

### Description

public void SoapServer::setObject ( string `$object` )

This sets a specific object as the handler for SOAP requests, rather than just a class as in SoapServer::setClass.

### Parameters

`object`

  The object to handle the requests.

### Return Values

No value is returned.

### See Also

- SoapServer::setClass - Sets the class which handles SOAP requests

SoapServer::setClass
SoapServer::setPersistence
SoapServer
PHP Manual